> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akapulu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scenarios

> List scenarios owned by the API key's user.

List scenarios owned by the API key's user.

Each item includes `id`, `name`, and `created_at`. Use [Get scenario](/api-reference/scenarios/get) for `nodes_json` and hosted links.


## OpenAPI

````yaml openapi/akapulu.json GET /scenarios
openapi: 3.1.0
info:
  title: Akapulu Labs API
  version: 1.0.0
  description: Public Akapulu Labs API reference.
servers:
  - url: https://akapulu.com/api
security:
  - bearerAuth: []
paths:
  /scenarios:
    get:
      tags:
        - Scenarios
      summary: List scenarios
      description: List scenarios owned by the API key's user.
      responses:
        '200':
          description: Scenarios listed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScenarioListResponse'
              examples:
                success:
                  value:
                    scenarios:
                      - id: 11111111-2222-3333-4444-555555555555
                        name: Sales Qualification
                        created_at: '2026-08-16T21:47:46.000000+00:00'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
              examples:
                invalid_key:
                  value:
                    error: Invalid API key
components:
  schemas:
    ScenarioListResponse:
      type: object
      required:
        - scenarios
      properties:
        scenarios:
          type: array
          items:
            $ref: '#/components/schemas/ScenarioSummary'
    ApiError:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Human-readable error message.
    ScenarioSummary:
      type: object
      required:
        - id
        - name
        - created_at
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        created_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````